ITEM.ID = "helm04"
ITEM.Name = 'Helm (Orange)'
ITEM.Price = 800000
ITEM.Model = 'models/dean/gtaiv/helmet.mdl'
ITEM.Skin = 4
ITEM.Attachment = 'eyes'
ITEM.Weight = 2

ITEM.TeamExclude = {
	[TEAM_TERROR] = true,
	[TEAM_SECRETSERVICE] = true,
	[TEAM_POLICE] = true,
	[TEAM_CHIEF] = true,
	[TEAM_JAILGUARD] = true,
	[TEAM_ZOLL] = true,
	[TEAM_SEK] = true,
	[TEAM_SEKSNIPER] = true,
	[TEAM_SEKLEADER] = true,
	[TEAM_MAFIOSO] = true,
	[TEAM_MAFIABOSS] = true,
}

if TEAM_THEATER then
	ITEM.TeamExclude[TEAM_THEATER] = true
end

local model_modifications1 = {
	["models/player/leet.mdl"] = {
		size = {1.1000000238419, 1, 1.1000000238419},
		ang = {0, 0, 0},
		pos = {-4, 0, 1.7000000476837},
	},
	["models/player/suits/male_06_open.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.20000000298023},
	},
	["models/player/hostage/hostage_02.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3, 0, 0.30000001192093},
	},
	["models/player/zombie_fast.mdl"] = {
		ang = {0, 0, 20.35000038147},
		pos = {-5, 0, -3},
	},
	["models/player/mossman.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, 0},
	},
	["models/player/mossman_arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, 0},
	},
	["models/player/mechanic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-5, 0, 1.5},
	},
	["models/player/barney.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.20000000298023},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {0.80000001192093, 0.80000001192093, 0.80000001192093},
		ang = {0, 0, 0},
		pos = {-4, 0, -1},
	},
	["models/player/group03/male_06.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.30000001192093},
	},
	["models/player/phoenix.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1},
	},
	["models/player/guerilla.mdl"] = {
		ang = {0, 0, 0},
		pos = {-5, 0, 1},
	},
	["models/player/arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1},
	},							
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications1[ply_model] then
		return PS:ModifyModel(model_modifications1[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({ang = {0, 0, 0}, pos = {-4, 0, 0}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "helm05"
ITEM.Name = 'Helm (Gelb)'
ITEM.Price = 800000
ITEM.Model = 'models/dean/gtaiv/helmet.mdl'
ITEM.Skin = 5
ITEM.Attachment = 'eyes'
ITEM.Weight = 2

ITEM.TeamExclude = {
	[TEAM_TERROR] = true,
	[TEAM_SECRETSERVICE] = true,
	[TEAM_POLICE] = true,
	[TEAM_CHIEF] = true,
	[TEAM_JAILGUARD] = true,
	[TEAM_ZOLL] = true,
	[TEAM_SEK] = true,
	[TEAM_SEKSNIPER] = true,
	[TEAM_SEKLEADER] = true,
	[TEAM_MAFIOSO] = true,
	[TEAM_MAFIABOSS] = true,
}

if TEAM_THEATER then
	ITEM.TeamExclude[TEAM_THEATER] = true
end

local model_modifications2 = {
	["models/player/leet.mdl"] = {
		size = {1.1000000238419, 1, 1.1000000238419},
		ang = {0, 0, 0},
		pos = {-4, 0, 1.7000000476837},
	},
	["models/player/suits/male_06_open.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.20000000298023},
	},
	["models/player/hostage/hostage_02.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3, 0, 0.30000001192093},
	},
	["models/player/zombie_fast.mdl"] = {
		ang = {0, 0, 20.35000038147},
		pos = {-5, 0, -3},
	},
	["models/player/mossman.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, 0},
	},
	["models/player/mossman_arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, 0},
	},
	["models/player/mechanic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-5, 0, 1.5},
	},
	["models/player/barney.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.20000000298023},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {0.80000001192093, 0.80000001192093, 0.80000001192093},
		ang = {0, 0, 0},
		pos = {-4, 0, -1},
	},
	["models/player/group03/male_06.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.30000001192093},
	},
	["models/player/phoenix.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1},
	},
	["models/player/guerilla.mdl"] = {
		ang = {0, 0, 0},
		pos = {-5, 0, 1},
	},
	["models/player/arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1},
	},							
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications2[ply_model] then
		return PS:ModifyModel(model_modifications2[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({ang = {0, 0, 0}, pos = {-4, 0, 0}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "helm06"
ITEM.Name = 'Helm (Grün)'
ITEM.Price = 800000
ITEM.Model = 'models/dean/gtaiv/helmet.mdl'
ITEM.Skin = 6
ITEM.Attachment = 'eyes'
ITEM.Weight = 2

ITEM.TeamExclude = {
	[TEAM_TERROR] = true,
	[TEAM_SECRETSERVICE] = true,
	[TEAM_POLICE] = true,
	[TEAM_CHIEF] = true,
	[TEAM_JAILGUARD] = true,
	[TEAM_ZOLL] = true,
	[TEAM_SEK] = true,
	[TEAM_SEKSNIPER] = true,
	[TEAM_SEKLEADER] = true,
	[TEAM_MAFIOSO] = true,
	[TEAM_MAFIABOSS] = true,
}

if TEAM_THEATER then
	ITEM.TeamExclude[TEAM_THEATER] = true
end

local model_modifications3 = {
	["models/player/leet.mdl"] = {
		size = {1.1000000238419, 1, 1.1000000238419},
		ang = {0, 0, 0},
		pos = {-4, 0, 1.7000000476837},
	},
	["models/player/suits/male_06_open.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.20000000298023},
	},
	["models/player/hostage/hostage_02.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3, 0, 0.30000001192093},
	},
	["models/player/zombie_fast.mdl"] = {
		ang = {0, 0, 20.35000038147},
		pos = {-5, 0, -3},
	},
	["models/player/mossman.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, 0},
	},
	["models/player/mossman_arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, 0},
	},
	["models/player/mechanic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-5, 0, 1.5},
	},
	["models/player/barney.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.20000000298023},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {0.80000001192093, 0.80000001192093, 0.80000001192093},
		ang = {0, 0, 0},
		pos = {-4, 0, -1},
	},
	["models/player/group03/male_06.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.30000001192093},
	},
	["models/player/phoenix.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1},
	},
	["models/player/guerilla.mdl"] = {
		ang = {0, 0, 0},
		pos = {-5, 0, 1},
	},
	["models/player/arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1},
	},							
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications3[ply_model] then
		return PS:ModifyModel(model_modifications3[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({ang = {0, 0, 0}, pos = {-4, 0, 0}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "helm07"
ITEM.Name = 'Helm (Blau)'
ITEM.Price = 800000
ITEM.Model = 'models/dean/gtaiv/helmet.mdl'
ITEM.Skin = 7
ITEM.Attachment = 'eyes'
ITEM.Weight = 2

ITEM.TeamExclude = {
	[TEAM_TERROR] = true,
	[TEAM_SECRETSERVICE] = true,
	[TEAM_POLICE] = true,
	[TEAM_CHIEF] = true,
	[TEAM_JAILGUARD] = true,
	[TEAM_ZOLL] = true,
	[TEAM_SEK] = true,
	[TEAM_SEKSNIPER] = true,
	[TEAM_SEKLEADER] = true,
	[TEAM_MAFIOSO] = true,
	[TEAM_MAFIABOSS] = true,
}

if TEAM_THEATER then
	ITEM.TeamExclude[TEAM_THEATER] = true
end

local model_modifications4 = {
	["models/player/leet.mdl"] = {
		size = {1.1000000238419, 1, 1.1000000238419},
		ang = {0, 0, 0},
		pos = {-4, 0, 1.7000000476837},
	},
	["models/player/suits/male_06_open.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.20000000298023},
	},
	["models/player/hostage/hostage_02.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3, 0, 0.30000001192093},
	},
	["models/player/zombie_fast.mdl"] = {
		ang = {0, 0, 20.35000038147},
		pos = {-5, 0, -3},
	},
	["models/player/mossman.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, 0},
	},
	["models/player/mossman_arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, 0},
	},
	["models/player/mechanic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-5, 0, 1.5},
	},
	["models/player/barney.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.20000000298023},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {0.80000001192093, 0.80000001192093, 0.80000001192093},
		ang = {0, 0, 0},
		pos = {-4, 0, -1},
	},
	["models/player/group03/male_06.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.30000001192093},
	},
	["models/player/phoenix.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1},
	},
	["models/player/guerilla.mdl"] = {
		ang = {0, 0, 0},
		pos = {-5, 0, 1},
	},
	["models/player/arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1},
	},							
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications4[ply_model] then
		return PS:ModifyModel(model_modifications4[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({ang = {0, 0, 0}, pos = {-4, 0, 0}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "helm08"
ITEM.Name = 'Helm (Pink)'
ITEM.Price = 800000
ITEM.Model = 'models/dean/gtaiv/helmet.mdl'
ITEM.Skin = 8
ITEM.Attachment = 'eyes'
ITEM.Weight = 2

ITEM.TeamExclude = {
	[TEAM_TERROR] = true,
	[TEAM_SECRETSERVICE] = true,
	[TEAM_POLICE] = true,
	[TEAM_CHIEF] = true,
	[TEAM_JAILGUARD] = true,
	[TEAM_ZOLL] = true,
	[TEAM_SEK] = true,
	[TEAM_SEKSNIPER] = true,
	[TEAM_SEKLEADER] = true,
	[TEAM_MAFIOSO] = true,
	[TEAM_MAFIABOSS] = true,
}

if TEAM_THEATER then
	ITEM.TeamExclude[TEAM_THEATER] = true
end

local model_modifications5 = {
	["models/player/leet.mdl"] = {
		size = {1.1000000238419, 1, 1.1000000238419},
		ang = {0, 0, 0},
		pos = {-4, 0, 1.7000000476837},
	},
	["models/player/suits/male_06_open.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.20000000298023},
	},
	["models/player/hostage/hostage_02.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3, 0, 0.30000001192093},
	},
	["models/player/zombie_fast.mdl"] = {
		ang = {0, 0, 20.35000038147},
		pos = {-5, 0, -3},
	},
	["models/player/mossman.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, 0},
	},
	["models/player/mossman_arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, 0},
	},
	["models/player/mechanic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-5, 0, 1.5},
	},
	["models/player/barney.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.20000000298023},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {0.80000001192093, 0.80000001192093, 0.80000001192093},
		ang = {0, 0, 0},
		pos = {-4, 0, -1},
	},
	["models/player/group03/male_06.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.30000001192093},
	},
	["models/player/phoenix.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1},
	},
	["models/player/guerilla.mdl"] = {
		ang = {0, 0, 0},
		pos = {-5, 0, 1},
	},
	["models/player/arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1},
	},							
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications5[ply_model] then
		return PS:ModifyModel(model_modifications5[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({ang = {0, 0, 0}, pos = {-4, 0, 0}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "helm09"
ITEM.Name = 'Helm (Regenbogen)'
ITEM.Price = 850000
ITEM.Model = 'models/dean/gtaiv/helmet.mdl'
ITEM.Skin = 9
ITEM.Attachment = 'eyes'
ITEM.Weight = 2

ITEM.TeamExclude = {
	[TEAM_TERROR] = true,
	[TEAM_SECRETSERVICE] = true,
	[TEAM_POLICE] = true,
	[TEAM_CHIEF] = true,
	[TEAM_JAILGUARD] = true,
	[TEAM_ZOLL] = true,
	[TEAM_SEK] = true,
	[TEAM_SEKSNIPER] = true,
	[TEAM_SEKLEADER] = true,
	[TEAM_MAFIOSO] = true,
	[TEAM_MAFIABOSS] = true,
}

if TEAM_THEATER then
	ITEM.TeamExclude[TEAM_THEATER] = true
end

local model_modifications6 = {
	["models/player/leet.mdl"] = {
		size = {1.1000000238419, 1, 1.1000000238419},
		ang = {0, 0, 0},
		pos = {-4, 0, 1.7000000476837},
	},
	["models/player/suits/male_06_open.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.20000000298023},
	},
	["models/player/hostage/hostage_02.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3, 0, 0.30000001192093},
	},
	["models/player/zombie_fast.mdl"] = {
		ang = {0, 0, 20.35000038147},
		pos = {-5, 0, -3},
	},
	["models/player/mossman.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, 0},
	},
	["models/player/mossman_arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, 0},
	},
	["models/player/mechanic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-5, 0, 1.5},
	},
	["models/player/barney.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.20000000298023},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {0.80000001192093, 0.80000001192093, 0.80000001192093},
		ang = {0, 0, 0},
		pos = {-4, 0, -1},
	},
	["models/player/group03/male_06.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.30000001192093},
	},
	["models/player/phoenix.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1},
	},
	["models/player/guerilla.mdl"] = {
		ang = {0, 0, 0},
		pos = {-5, 0, 1},
	},
	["models/player/arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1},
	},							
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications6[ply_model] then
		return PS:ModifyModel(model_modifications6[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({ang = {0, 0, 0}, pos = {-4, 0, 0}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "helm10"
ITEM.Name = 'Helm (Amerika)'
ITEM.Price = 850000
ITEM.Model = 'models/dean/gtaiv/helmet.mdl'
ITEM.Skin = 12
ITEM.Attachment = 'eyes'
ITEM.Weight = 2

ITEM.TeamExclude = {
	[TEAM_TERROR] = true,
	[TEAM_SECRETSERVICE] = true,
	[TEAM_POLICE] = true,
	[TEAM_CHIEF] = true,
	[TEAM_JAILGUARD] = true,
	[TEAM_ZOLL] = true,
	[TEAM_SEK] = true,
	[TEAM_SEKSNIPER] = true,
	[TEAM_SEKLEADER] = true,
	[TEAM_MAFIOSO] = true,
	[TEAM_MAFIABOSS] = true,
}

if TEAM_THEATER then
	ITEM.TeamExclude[TEAM_THEATER] = true
end

local model_modifications7 = {
	["models/player/leet.mdl"] = {
		size = {1.1000000238419, 1, 1.1000000238419},
		ang = {0, 0, 0},
		pos = {-4, 0, 1.7000000476837},
	},
	["models/player/suits/male_06_open.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.20000000298023},
	},
	["models/player/hostage/hostage_02.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3, 0, 0.30000001192093},
	},
	["models/player/zombie_fast.mdl"] = {
		ang = {0, 0, 20.35000038147},
		pos = {-5, 0, -3},
	},
	["models/player/mossman.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, 0},
	},
	["models/player/mossman_arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4.3000001907349, 0, 0},
	},
	["models/player/mechanic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-5, 0, 1.5},
	},
	["models/player/barney.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.20000000298023},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {0.80000001192093, 0.80000001192093, 0.80000001192093},
		ang = {0, 0, 0},
		pos = {-4, 0, -1},
	},
	["models/player/group03/male_06.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 0.30000001192093},
	},
	["models/player/phoenix.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1},
	},
	["models/player/guerilla.mdl"] = {
		ang = {0, 0, 0},
		pos = {-5, 0, 1},
	},
	["models/player/arctic.mdl"] = {
		ang = {0, 0, 0},
		pos = {-4, 0, 1},
	},							
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications7[ply_model] then
		return PS:ModifyModel(model_modifications7[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({ang = {0, 0, 0}, pos = {-4, 0, 0}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "hexenhut"
ITEM.Name = 'Hexenhut'
ITEM.Price = 700000
ITEM.Model = 'models/gmod_tower/witchhat.mdl'
ITEM.Attachment = 'eyes'
ITEM.MaxEquip = 1
ITEM.EquipGroup = "Kopf"
ITEM.Tier1 = true

ITEM.TeamExclude = {
	[TEAM_TERROR] = true,
	[TEAM_POLICE] = true,
	[TEAM_CHIEF] = true,
	[TEAM_JAILGUARD] = true,
	[TEAM_SEK] = true,
	[TEAM_SEKSNIPER] = true,
	[TEAM_SEKLEADER] = true,
	[TEAM_MAFIOSO] = true,
	[TEAM_MAFIABOSS] = true,
}

if TEAM_THEATER then
	ITEM.TeamExclude[TEAM_THEATER] = true
end

local model_modifications8 = {
	["models/player/leet.mdl"] = {
		size = {1.2000000476837, 1.2000000476837, 1},
		ang = {93.910003662109, 294.26000976563, 90.779998779297},
		pos = {-4, 0, 4},
	},
	["models/player/hostage/hostage_02.mdl"] = {
		size = {1.2000000476837, 1.2000000476837, 1},
		ang = {92.349998474121, 284.86999511719, 92.349998474121},
		pos = {-2.5, 0, 2},
	},
	["models/player/zombie_fast.mdl"] = {
		ang = {92.220001220703, 284, 92},
		pos = {-3.5, 0, -2},
	},
	["models/player/mechanic.mdl"] = {
		size = {1.2000000476837, 1.2000000476837, 1},
		ang = {92, 284, 92},
		pos = {-4, 0, 2.5},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {1.2000000476837, 1.2000000476837, 1},
		ang = {92, 284, 92},
		pos = {-4, 0, -1},
	},
	["models/player/group03/male_06.mdl"] = {
		size = {1.2000000476837, 1.2000000476837, 1},
		ang = {92, 292.70001220703, 92},
		pos = {-4, 0, 2},
	},
	["models/player/phoenix.mdl"] = {
		size = {1.2000000476837, 1.2000000476837, 1},
		ang = {92, 272.35000610352, 92},
		pos = {-3.5, 0, 3},
	},
	["models/player/guerilla.mdl"] = {
		size = {1.2000000476837, 1.2000000476837, 1},
		ang = {92, 284.86999511719, 92},
		pos = {-4.5, 0, 3},
	},
	["models/player/arctic.mdl"] = {
		size = {1.2000000476837, 1.2000000476837, 1},
		ang = {92, 272, 92},
		pos = {-3.5, 0, 3},
	},	
}

function ITEM:OnEquip(ply, modifications)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications8[ply_model] then
		return PS:ModifyModel(model_modifications8[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({size = {1.2, 1.2, 1}, ang = {0, 270, 0}, pos = {-3.5, 0, 2}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "hundemaske"
ITEM.Name = 'Hundemaske'
ITEM.Price = 700000
ITEM.Model = 'models/snowzgmod/payday2/masks/maskarnold.mdl'
ITEM.Attachment = 'eyes'
ITEM.Weight = 2

ITEM.TeamOnly = {
	[TEAM_GANGSTER] = true,
	[TEAM_GANGSTERBOSS] = true,
	[TEAM_THIEF] = true,
	[TEAM_MASTERTHIEF] = true,
	[TEAM_REBEL] = true,
	[TEAM_REBELBOSS] = true
}

local model_modifications9 = {
	["models/player/group03/male_02.mdl"] = {
		size = {0.89999997615814, 1, 0.89999997615814},
		ang = {0, 0, 0},
		pos = {0, 0, 0.30000001192093},
	},
	["models/player/group03/male_06.mdl"] = {
		size = {0.89999997615814, 1, 1},
		ang = {0, 0, 0},
		pos = {0, 0, 0.20000000298023},
	},
	["models/player/phoenix.mdl"] = {
		ang = {0, 0, 0},
		pos = {-1, 0, 1},
	},
	["models/player/guerilla.mdl"] = {
		size = {0.89999997615814, 1, 0.89999997615814},
		ang = {0, 0, 0},
		pos = {-0.5, 0, 1.2000000476837},
	},
	["models/player/arctic.mdl"] = {
		size = {0.89999997615814, 1, 1},
		ang = {0, 0, 0},
		pos = {-1, 0, 1},
	},
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications9[ply_model] then
		return PS:ModifyModel(model_modifications9[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({size = {0.9, 0.9, 0.9}, ang = {0, 0, 0}, pos = {0, 0, 0}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "kfc_eimer"
ITEM.Name = 'KFC-Eimer'
ITEM.Price = 750000
ITEM.Model = 'models/gmod_tower/kfcbucket.mdl'
ITEM.Attachment = 'eyes'
ITEM.MaxEquip = 1
ITEM.EquipGroup = "Kopf"
ITEM.Tier1 = true

ITEM.TeamExclude = {
	[TEAM_TERROR] = true,
	[TEAM_POLICE] = true,
	[TEAM_CHIEF] = true,
	[TEAM_JAILGUARD] = true,
	[TEAM_SEK] = true,
	[TEAM_SEKSNIPER] = true,
	[TEAM_SEKLEADER] = true,
	[TEAM_MAFIOSO] = true,
	[TEAM_MAFIABOSS] = true,
}

if TEAM_THEATER then
	ITEM.TeamExclude[TEAM_THEATER] = true
end

local model_modifications10 = {
	["models/player/leet.mdl"] = {
		ang = {0, 0, 20},
		pos = {-2.5, 0, 1},
	},
	["models/player/zombie_fast.mdl"] = {
		size = {0.89999997615814, 0.89999997615814, 0.89999997615814},
		ang = {0, 0, 20},
		pos = {-3, 0, -2},
	},
	["models/player/mechanic.mdl"] = {
		ang = {0, 0, 20},
		pos = {-3, 0, 1.2999999523163},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {0.80000001192093, 0.80000001192093, 0.80000001192093},
		ang = {0, 0, 20},
		pos = {-3.4000000953674, 0, -1.5},
	},
}

function ITEM:OnEquip(ply, modifications)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications10[ply_model] then
		return PS:ModifyModel(model_modifications10[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({ang = {0, 0, 20}, pos = {-3, 0, 0}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "kopfhoerer01"
ITEM.Name = 'Kopfhörer (Rot)'
ITEM.Price = 300000
ITEM.Model = 'models/modified/headphones.mdl'
ITEM.Attachment = 'eyes'
ITEM.MaxEquip = 1
ITEM.EquipGroup = "Kopf"

local model_modifications11 = {
	["models/player/leet.mdl"] = {
		size = {1, 1.1, 1},
		ang = {0, 0, 0},
		pos = {-2.5, 0, 1.5},
	},
	["models/player/hostage/hostage_04.mdl"] = {
		ang = {0, 0, 0},
		pos = {-2, 0, -1},
	},
	["models/player/group02/male_06.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.5, 0, -0.2},
	},
	["models/player/suits/male_06_open.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.5, 0, 0},
	},
	["models/player/hostage/hostage_02.mdl"] = {
		ang = {0, 0, 0},
		pos = {-2.5, 0, 0},
	},
	["models/player/corpse1.mdl"] = {
		size = {1, 0.9, 1},
		ang = {0, 0, 0},
		pos = {-3, 0, -0.5},
	},
	["models/player/zombie_fast.mdl"] = {
		size = {1, 0.9, 1},
		ang = {0, 0, 23.48},
		pos = {-2.5, 0, -3},
	},
	["models/jessev92/kuma/characters/osama_ply.mdl"] = {
		size = {1, 1.1, 1},
		ang = {0, 0, 15.65},
		pos = {-4.9, 0, -1},
	},
	["models/player/mechanic.mdl"] = {
		ang = {0, 0, 6.26},
		pos = {-3.5, 0, 1},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {1, 0.9, 0.9},
		ang = {0, 0, 0},
		pos = {-3.5, 0, -2},
	},
	["models/player/guard_pack/guard_09.mdl"] = {
		size = {1, 1, 1.2},
		ang = {0, 0, 0},
		pos = {-3, 0, -0.5},
	},
	["models/player/group03/male_01.mdl"] = {
		size = {1, 1, 1.05},
		ang = {0, 0, 0},
		pos = {-3.5, 0, -0.5},
	},
	["models/player/group03/male_02.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3, 0, -0.2},
	},
	["models/player/group03/male_06.mdl"] = {
		size = {1, 1., 1.07},
		ang = {0, 0, 0},
		pos = {-3, 0, -0.3},
	},
	["models/player/group03/male_08.mdl"] = {
		size = {1, 1, 1.05},
		ang = {0, 0, 0},
		pos = {-3.2, 0, -0.5},
	},
	["models/player/gman_high.mdl"] = {
		size = {1, 0.9, 1.07},
		ang = {0, 0, 0},
		pos = {-3, 0.1, -0.2},
	},
	["models/player/phoenix.mdl"] = {
		size = {1, 1, 1.1},
		ang = {0, 0, 0},
		pos = {-3, 0, 0.5},
	},
	["models/player/guerilla.mdl"] = {
		size = {1, 1, 1.1},
		ang = {0, 0, 0},
		pos = {-3.5, 0, 0},
	},
	["models/player/arctic.mdl"] = {
		size = {1, 1, 1-1},
		ang = {0, 0, 0},
		pos = {-3, 0, 0.3},
	},
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications11[ply_model] then
		return PS:ModifyModel(model_modifications11[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({ang = {0, 0, 0}, pos = {-3.4, 0, -0.5}}, ply, model, pos, ang)
end
PS:AddItem()


ITEM.ID = "kopfhoerer02"
ITEM.Name = 'Kopfhörer (Pink)'
ITEM.Price = 295000
ITEM.Model = 'models/modified/headphones.mdl'
ITEM.Skin = 1
ITEM.Attachment = 'eyes'
ITEM.MaxEquip = 1
ITEM.EquipGroup = "Kopf"

local model_modifications12 = {
	["models/player/leet.mdl"] = {
		size = {1, 1.1, 1},
		ang = {0, 0, 0},
		pos = {-2.5, 0, 1.5},
	},
	["models/player/hostage/hostage_04.mdl"] = {
		ang = {0, 0, 0},
		pos = {-2, 0, -1},
	},
	["models/player/group02/male_06.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.5, 0, -0.2},
	},
	["models/player/suits/male_06_open.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3.5, 0, 0},
	},
	["models/player/hostage/hostage_02.mdl"] = {
		ang = {0, 0, 0},
		pos = {-2.5, 0, 0},
	},
	["models/player/corpse1.mdl"] = {
		size = {1, 0.9, 1},
		ang = {0, 0, 0},
		pos = {-3, 0, -0.5},
	},
	["models/player/zombie_fast.mdl"] = {
		size = {1, 0.9, 1},
		ang = {0, 0, 23.48},
		pos = {-2.5, 0, -3},
	},
	["models/jessev92/kuma/characters/osama_ply.mdl"] = {
		size = {1, 1.1, 1},
		ang = {0, 0, 15.65},
		pos = {-4.9, 0, -1},
	},
	["models/player/mechanic.mdl"] = {
		ang = {0, 0, 6.26},
		pos = {-3.5, 0, 1},
	},
	["models/player/soldier_stripped.mdl"] = {
		size = {1, 0.9, 0.9},
		ang = {0, 0, 0},
		pos = {-3.5, 0, -2},
	},
	["models/player/guard_pack/guard_09.mdl"] = {
		size = {1, 1, 1.2},
		ang = {0, 0, 0},
		pos = {-3, 0, -0.5},
	},
	["models/player/group03/male_01.mdl"] = {
		size = {1, 1, 1.05},
		ang = {0, 0, 0},
		pos = {-3.5, 0, -0.5},
	},
	["models/player/group03/male_02.mdl"] = {
		ang = {0, 0, 0},
		pos = {-3, 0, -0.2},
	},
	["models/player/group03/male_06.mdl"] = {
		size = {1, 1., 1.07},
		ang = {0, 0, 0},
		pos = {-3, 0, -0.3},
	},
	["models/player/group03/male_08.mdl"] = {
		size = {1, 1, 1.05},
		ang = {0, 0, 0},
		pos = {-3.2, 0, -0.5},
	},
	["models/player/gman_high.mdl"] = {
		size = {1, 0.9, 1.07},
		ang = {0, 0, 0},
		pos = {-3, 0.1, -0.2},
	},
	["models/player/phoenix.mdl"] = {
		size = {1, 1, 1.1},
		ang = {0, 0, 0},
		pos = {-3, 0, 0.5},
	},
	["models/player/guerilla.mdl"] = {
		size = {1, 1, 1.1},
		ang = {0, 0, 0},
		pos = {-3.5, 0, 0},
	},
	["models/player/arctic.mdl"] = {
		size = {1, 1, 1-1},
		ang = {0, 0, 0},
		pos = {-3, 0, 0.3},
	},
}

function ITEM:OnEquip(ply)
	if ply:Alive() then
		ply:PS_AddClientsideModel(self.ID)
	end
end

function ITEM:OnHolster(ply)
	ply:PS_RemoveClientsideModel(self.ID)
end

function ITEM:ModifyClientsideModel(ply, model, pos, ang)
	local ply_model = ply:GetModel()
	if model_modifications12[ply_model] then
		return PS:ModifyModel(model_modifications12[ply_model], ply, model, pos, ang)
	end
	return PS:ModifyModel({ang = {0, 0, 0}, pos = {-3.4, 0, -0.5}}, ply, model, pos, ang)
end
PS:AddItem()
